The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of MariaDB: privilege escalation via SST Illegal Character

Synthesis of the vulnerability 

An attacker can bypass restrictions via SST Illegal Character of MariaDB, in order to escalate his privileges.
Vulnerable systems: Debian, MariaDB ~ precise, openSUSE Leap, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this threat: 2/4.
Creation date: 08/10/2020.
Références of this weakness: CVE-2020-15180, DLA-2409-1, DSA-4776-1, openSUSE-SU-2020:2090-1, openSUSE-SU-2020:2149-1, openSUSE-SU-2020:2254-1, RHSA-2020:5246-01, RHSA-2020:5500-01, RHSA-2020:5654-01, RHSA-2020:5663-01, RHSA-2020:5665-01, SUSE-SU-2020:3497-1, SUSE-SU-2020:3500-1, SUSE-SU-2020:3564-1, USN-4603-1, VIGILANCE-VUL-33506.

Description of the vulnerability 

An attacker can bypass restrictions via SST Illegal Character of MariaDB, in order to escalate his privileges.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This cybersecurity threat impacts software or systems such as Debian, MariaDB ~ precise, openSUSE Leap, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this computer threat note is medium.

The trust level is of type confirmed by the editor, with an origin of user account.

An attacker with a expert ability can exploit this security threat.

Solutions for this threat 

MariaDB: version 10.5.6.
The version 10.5.6 is fixed:
  https://downloads.mariadb.org/mariadb/10.5.6

MariaDB: version 10.4.15.
The version 10.4.15 is fixed:
  https://downloads.mariadb.org/mariadb/10.4.15

MariaDB: version 10.3.25.
The version 10.3.25 is fixed:
  https://downloads.mariadb.org/mariadb/10.3.25

MariaDB: version 10.2.34.
The version 10.2.34 is fixed:
  https://downloads.mariadb.org/mariadb/10.2.34

MariaDB: version 10.1.47.
The version 10.1.47 is fixed:
  https://downloads.mariadb.org/mariadb/10.1.47

MariaDB: patch for SST Illegal Character.
A patch is indicated in information sources.

Debian 9: new mariadb-10.1 packages.
New packages are available:
  Debian 9: mariadb-10.1 10.1.47-0+deb9u1

Debian: new mariadb-10.3 packages.
New packages are available:
  Debian 10: mariadb-10.3 1:10.3.25-0+deb10u1

openSUSE Leap 15.1: new mariadb packages.
New packages are available:
  openSUSE Leap 15.1: mariadb 10.2.36-lp151.2.18.1

openSUSE Leap 15.2: new mariadb packages (15/12/2020).
New packages are available:
  openSUSE Leap 15.2: mariadb 10.4.17-lp152.2.8.1

openSUSE Leap 15.2: new mariadb packages (30/11/2020).
New packages are available:
  openSUSE Leap 15.2: mariadb 10.2.36-lp152.2.6.1

Percona XtraDB Cluster: version 5.6.49-28.42.2.
The version 5.6.49-28.42.2 is fixed:
  https://www.percona.com/

Percona XtraDB Cluster: version 8.0.20-11.2.
The version 8.0.20-11.2 is fixed:
  https://www.percona.com/

RHEL 7: new rh-mariadb103 packages.
New packages are available:
  RHEL 7.0-7.9: rh-mariadb103-galera 25.3.31-1.el7, rh-mariadb103-mariadb 10.3.27-1.el7

RHEL 8.0: new mariadb-10.3 module.
The following module is updated:
  RHEL 8.0 Module: mariadb:10.3

RHEL 8.1: new mariadb-10.3 module.
The following module is updated:
  RHEL 8.1 Module: mariadb:10.3

RHEL 8.2: new mariadb-10.3 module.
The following module is updated:
  RHEL 8.2 Module: mariadb:10.3

RHEL 8: new mariadb-10.3 module.
The following module is updated:
  RHEL 8 Module: mariadb:10.3

SUSE LE 12 SP4-SP5: new mariadb packages.
New packages are available:
  SUSE LE 12 SP5: mariadb 10.2.36-3.33.1
  SUSE LE 12 SP4: mariadb 10.2.36-3.33.1

SUSE LE 15: new mariadb packages.
New packages are available:
  SUSE LE 15 SP1: mariadb 10.2.36-3.34.4
  SUSE LE 15 RTM: mariadb 10.2.36-3.34.4

SUSE LE 15 SP2: new mariadb packages.
New packages are available:
  SUSE LE 15 SP2: mariadb 10.4.17-3.6.1

Ubuntu: new mariadb-server packages.
New packages are available:
  Ubuntu 20.04 LTS: mariadb-server 1:10.3.25-0ubuntu0.20.04.1
  Ubuntu 18.04 LTS: mariadb-server 1:10.1.47-0ubuntu0.18.04.1
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a software vulnerability bulletin. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.